Bug 601983 - improve audit trail for alert notifications
improve audit trail for alert notifications
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
3.0.0
All Linux
urgent Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Sunil Kondkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 20:27 EDT by Joseph Marques
Modified: 2010-08-12 12:47 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:47:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alert notification audit trail (10.55 KB, image/png)
2010-06-08 20:40 EDT, Joseph Marques
no flags Details

  None (edit)
Description Joseph Marques 2010-06-08 20:27:55 EDT
Description of feature request:

The audit trail for alert notifications does not capture all available information at the time the alert triggers.  For instance, resource operations do not give the full details of which resource it actually executed the operation on, what the (parameter-replaced) arguments were, or what the results were.  Unfortunately, it's not going to be easy to display all of this richly structured information because the alerts audit trail saves everything into a flat string column.

Need to review each and every permutation of options for each and every custom alert sender and determine what we want each toString() implementation to be.
Comment 1 Joseph Marques 2010-06-08 20:40:20 EDT
Created attachment 422391 [details]
alert notification audit trail
Comment 2 Joseph Marques 2010-06-09 11:45:52 EDT
commit ce1219095b5b03e86f91826a99e4df48661806b0
Author: Joseph Marques <joseph@redhat.com>
Date:   Wed Jun 9 09:06:08 2010 -0400

    BZ-601983: improve audit trail for operation-based alert notifications
    
    toString() variants are now...
    * on this resource
    * on the ( <resource ancestry> ) resource
    * on the <ancestorType> ancestor
    * on the '{name}' <descendantType> descendant
    * on the '{name}' <descendantType> descendant under the <ancestorType> ancestor
Comment 3 Corey Welton 2010-06-09 12:24:41 EDT
Will need details here as to what kind of changes we should expect to see and test for.
Comment 4 Joseph Marques 2010-06-09 13:11:19 EDT
The commit message describes exactly what you'll see.  If you create an operation-based alert notification and choose SELF option, it will print "Executed '<selectedOperation>' on this resource".  If you create an operation-based alert notification and choose SPECIFIC RESOURCE option, it will print "Executed '<selectedOperation>' on the ( <fullAncestryOfSpecificResource> ) resource", and so on.
Comment 5 Sunil Kondkar 2010-06-10 08:18:40 EDT
Verified on jon24 beta1

Created an operation-based alert choosing 'this resource' as option. Below message is displayed:
"Executed 'Get Current Date/Time' on this resource
Check the corresponding operation history for more details."

Created an operation-based alert choosing 'specific resource' as option. Below message is displayed:
"Executed 'Check Configuration File Syntax' on the ( sunillaptop > sunillaptop.usersys.redhat.com:80 ) resource
Check the corresponding operation history for more details."

The link 'operation history' in above messages takes user to the resource operation history page.
Comment 6 Joseph Marques 2010-06-10 08:54:10 EDT
Sunil, you might as well test the "relative resource" cases too:

* select an ancestor ('search from') only
* select an ancestor and a descendant ('filter by') only
* select an ancestor, a descendant, and fill in something into the input box for the descendant name filter
Comment 7 Sunil Kondkar 2010-06-10 10:50:13 EDT
Verified on jon24 beta1 for relative resources:

* selected an ancestor ('search from') only: Below is the message-

"Executed 'Get Current Date/Time' on the RHQ Agent ancestor
Check the corresponding operation history for more details."

* selected an ancestor and a descendant ('filter by'): Below is the message-

"Executed 'Get Current Date/Time' on the RHQ Agent descendant under the RHQ Agent ancestor 
Check the corresponding operation history for more details."

* selected JBossAS Server ancestor, Script descendant, and entered a scriptname into the input box: Below is the message-

Executed 'Execute Script' on the 'scriptpara.sh' Script descendant under the JBossAS Server ancestor
Check the corresponding operation history for more details.
Comment 8 Corey Welton 2010-08-12 12:47:13 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.